## maas 2.4.0~beta2-6865

=== Makefile ===
python := python3
snapcraft := snapcraft

# pkg_resources makes some incredible noise about version numbers. They
# are not indications of bugs in MAAS so we silence them everywhere.
export PYTHONWARNINGS = \
  ignore:You have iterated over the result:RuntimeWarning:pkg_resources:

# Network activity can be suppressed by setting offline=true (or any
# non-empty string) at the command-line.
ifeq ($(offline),)
buildout := bin/buildout
else
buildout := bin/buildout buildout:offline=true
endif

# If offline has been selected, attempt to further block HTTP/HTTPS
# activity by setting bogus proxies in the environment.
ifneq ($(offline),)
export http_proxy := broken
export https_proxy := broken
endif

# MAAS SASS stylesheets. The first input file (maas-styles.css) imports
# the others, so is treated specially in the target definitions.
scss_input := src/maasserver/static/scss/build.scss
scss_deps := $(wildcard src/maasserver/static/scss/_*.scss)
scss_output := src/maasserver/static/css/build.css

javascript_deps := \
  $(shell find src -name '*.js' -not -path '*/maasserver/static/js/bundle/*') \
  package.json \
  webpack.config.js \
  yarn.lock

javascript_output := \
  src/maasserver/static/js/bundle/maas-min.js \
  src/maasserver/static/js/bundle/maas-min.js.map \
  src/maasserver/static/js/bundle/vendor-min.js \
  src/maasserver/static/js/bundle/vendor-min.js.map

# Prefix commands with this when they need access to the database.
# Remember to add a dependency on bin/database from the targets in
# which those commands appear.
dbrun := bin/database --preserve run --

# Path to install local nodejs.
mkfile_dir := $(shell dirname $(realpath $(lastword $(MAKEFILE_LIST))))
nodejs_path := $(mkfile_dir)/include/nodejs/bin

export PATH := $(nodejs_path):$(PATH)

# For things that care, postgresfixture for example, we always want to
# use the "maas" databases.
export PGDATABASE := maas

# For anything we start, we want to hint as to its root directory.
export MAAS_ROOT := $(CURDIR)/.run

build: \
  bin/buildout \
  bin/database \
  bin/maas \
  bin/maas-common \
  bin/maas-rack \
  bin/maas-region \
  bin/rackd \
  bin/regiond \
  bin/test.cli \
  bin/test.rack \
  bin/test.region \
  bin/test.region.legacy \
  bin/test.testing \
  bin/test.js \
  bin/test.e2e \
  bin/test.parallel \
  bin/py bin/ipy \
  pycharm

all: build doc

# Install all packages required for MAAS development & operation on
# the system. This may prompt for a password.
install-dependencies: release := $(shell lsb_release -c -s)
install-dependencies:
	sudo DEBIAN_FRONTEND=noninteractive apt-get -y \
	    --no-install-recommends install $(shell sort -u \
	        $(addprefix required-packages/,base build dev doc) | sed '/^\#/d')
	sudo DEBIAN_FRONTEND=noninteractive apt-get -y \
	    purge $(shell sort -u required-packages/forbidden | sed '/^\#/d')

.gitignore:
	sed 's:^[.]/:/:' $^ > $@

configure-buildout:
	utilities/configure-buildout

sudoers:
	utilities/install-sudoers
	utilities/grant-nmap-permissions

bin/buildout: bootstrap-buildout.py
	@utilities/configure-buildout --quiet
	$(python) bootstrap-buildout.py --allow-site-packages
	@touch --no-create $@  # Ensure it's newer than its dependencies.

# buildout.cfg refers to .run and .run-e2e.
buildout.cfg: .run .run-e2e

bin/database: bin/buildout buildout.cfg versions.cfg setup.py
	$(buildout) install database
	@touch --no-create $@

bin/test.parallel: \
  bin/buildout buildout.cfg versions.cfg setup.py
	$(buildout) install parallel-test
	@touch --no-create $@

bin/maas-region bin/regiond: \
    bin/buildout buildout.cfg versions.cfg setup.py \
    $(scss_output) $(javascript_output)
	$(buildout) install region
	@touch --no-create $@

bin/test.region: \
  bin/buildout buildout.cfg versions.cfg setup.py \
  bin/maas-region bin/maas-rack bin/maas-common
	$(buildout) install region-test
	@touch --no-create $@

bin/test.region.legacy: \
    bin/buildout buildout.cfg versions.cfg setup.py
	$(buildout) install region-test-legacy
	@touch --no-create $@

bin/maas: bin/buildout buildout.cfg versions.cfg setup.py
	$(buildout) install cli
	@touch --no-create $@

bin/test.cli: bin/buildout buildout.cfg versions.cfg setup.py bin/maas
	$(buildout) install cli-test
	@touch --no-create $@

bin/test.js: bin/karma bin/buildout buildout.cfg versions.cfg setup.py
	$(buildout) install js-test
	@touch --no-create $@

bin/test.e2e: \
    bin/protractor bin/buildout buildout.cfg versions.cfg setup.py
	$(buildout) install e2e-test
	@touch --no-create $@

# bin/maas-region is needed for South migration tests. bin/flake8 is needed for
# checking lint and bin/node-sass is needed for checking css.
bin/test.testing: \
  bin/maas-region bin/flake8 bin/node-sass bin/buildout \
  buildout.cfg versions.cfg setup.py
	$(buildout) install testing-test
	@touch --no-create $@

bin/maas-rack bin/rackd bin/maas-common: \
  bin/buildout buildout.cfg versions.cfg setup.py
	$(buildout) install rack
	@touch --no-create $@

bin/test.rack: \
  bin/buildout buildout.cfg versions.cfg setup.py bin/maas-rack bin/py
	$(buildout) install rack-test
	@touch --no-create $@

bin/flake8: bin/buildout buildout.cfg versions.cfg setup.py
	$(buildout) install flake8
	@touch --no-create $@

bin/sphinx bin/sphinx-build: bin/buildout buildout.cfg versions.cfg setup.py
	$(buildout) install sphinx
	@touch --no-create $@

bin/py bin/ipy: bin/buildout buildout.cfg versions.cfg setup.py
	$(buildout) install repl
	@touch --no-create bin/py bin/ipy

bin/coverage: bin/buildout buildout.cfg versions.cfg setup.py
	$(buildout) install coverage
	@touch --no-create bin/coverage

include/nodejs/bin/node:
	mkdir -p include/nodejs
	wget -O include/nodejs/nodejs.tar.gz https://nodejs.org/dist/v8.9.3/node-v8.9.3-linux-x64.tar.gz
	tar -C include/nodejs/ -xf include/nodejs/nodejs.tar.gz --strip-components=1

include/nodejs/yarn.tar.gz:
	mkdir -p include/nodejs
	wget -O include/nodejs/yarn.tar.gz https://yarnpkg.com/latest.tar.gz

include/nodejs/bin/yarn: include/nodejs/yarn.tar.gz
	tar -C include/nodejs/ -xf include/nodejs/yarn.tar.gz --strip-components=1
	@touch --no-create $@

bin/yarn: include/nodejs/bin/yarn
	@mkdir -p bin
	ln -sf ../include/nodejs/bin/yarn $@
	@touch --no-create $@

node_modules: include/nodejs/bin/node bin/yarn
	bin/yarn --frozen-lockfile
	@touch --no-create $@

define js_bins
  bin/karma
  bin/protractor
  bin/node-sass
  bin/webpack
endef

$(strip $(js_bins)): node_modules
	ln -sf ../node_modules/.bin/$(notdir $@) $@
	@touch --no-create $@

js-update-macaroonbakery:
	mkdir -p src/masserver/static/js/macaroon
	wget -O src/maasserver/static/js/macaroon/js-macaroon.js \
		'https://raw.githubusercontent.com/juju/juju-gui/develop/jujugui/static/gui/src/app/assets/javascripts/js-macaroon.js'
	wget -O src/maasserver/static/js/macaroon/bakery.js \
		'https://raw.githubusercontent.com/juju/juju-gui/develop/jujugui/static/gui/src/app/jujulib/bakery.js'
	wget -O src/maasserver/static/js/macaroon/web-handler.js \
		'https://raw.githubusercontent.com/juju/juju-gui/develop/jujugui/static/gui/src/app/store/env/web-handler.js'

define node_packages
  @babel/core
  @babel/preset-react
  @babel/preset-es2015
  @types/prop-types
  @types/react
  @types/react-dom
  babel-loader@^8.0.0-beta.0
  glob
  jasmine-core@=2.99.1
  karma
  karma-chrome-launcher
  karma-failed-reporter
  karma-firefox-launcher
  karma-jasmine
  karma-ng-html2js-preprocessor
  karma-opera-launcher
  karma-phantomjs-launcher
  karma-sourcemap-loader
  node-sass
  phantomjs-prebuilt
  prop-types
  protractor
  react
  react-dom
  react2angular
  uglifyjs-webpack-plugin
  vanilla-framework
  vanilla-framework-react
  webpack
  webpack-cli
  webpack-merge
endef

force-yarn-update: bin/yarn
	$(RM) package.json yarn.lock
	bin/yarn add -D $(strip $(node_packages))

define test-scripts
  bin/test.cli
  bin/test.rack
  bin/test.region
  bin/test.region.legacy
  bin/test.testing
  bin/test.js
endef

lxd:
	utilities/configure-lxd-profile
	utilities/create-lxd-bionic-image

test: bin/test.parallel bin/coverage
	@$(RM) .coverage .coverage.*
	@bin/test.parallel --with-coverage --subprocess-per-core
	@bin/coverage combine

test-js: bin/test.js javascript
	@bin/test.js

test-serial: $(strip $(test-scripts))
	@bin/maas-region makemigrations --dry-run --exit && exit 1 ||:
	@$(RM) .coverage .coverage.* .failed
	$(foreach test,$^,$(test-template);)
	@test ! -f .failed

test-failed: $(strip $(test-scripts))
	@bin/maas-region makemigrations --dry-run --exit && exit 1 ||:
	@$(RM) .coverage .coverage.* .failed
	$(foreach test,$^,$(test-template-failed);)
	@test ! -f .failed

clean-failed:
	$(RM) .noseids

src/maasserver/testing/initial.maas_test.sql: bin/database syncdb
	bin/database --preserve run -- \
	    pg_dump maas --no-owner --no-privileges \
	        --format=plain > $@

test-initial-data: src/maasserver/testing/initial.maas_test.sql

define test-template
$(test) --with-xunit --xunit-file=xunit.$(notdir $(test)).xml || touch .failed
endef

define test-template-failed
  $(test) --with-xunit --xunit-file=xunit.$(notdir $(test)).xml --failed || \
  $(test) --with-xunit --xunit-file=xunit.$(notdir $(test)).xml --failed || \
  touch .failed
endef

smoke: lint bin/maas-region bin/test.rack
	@bin/maas-region makemigrations --dry-run --exit && exit 1 ||:
	@bin/test.rack --stop

test-serial+coverage: export NOSE_WITH_COVERAGE = 1
test-serial+coverage: test-serial

coverage-report: coverage/index.html
	sensible-browser $< > /dev/null 2>&1 &

coverage.xml: bin/coverage .coverage
	bin/coverage xml -o $@

coverage/index.html: revno = $(or $(shell git rev-parse HEAD 2>/dev/null),???)
coverage/index.html: bin/coverage .coverage
	@$(RM) -r $(@D)
	bin/coverage html \
	    --title "Coverage for MAAS rev $(revno)" \
	    --directory $(@D)

.coverage:
	@$(error Use `$(MAKE) test` to generate coverage)

lint: \
    lint-py lint-py-complexity lint-py-imports \
    lint-js lint-doc lint-rst
        # Only Unix line ends should be accepted
	@find src/ -type f -exec file "{}" ";" | \
	    awk '/CRLF/ { print $0; count++ } END {exit count}' || \
	    (echo "Lint check failed; run make format to fix DOS linefeeds."; false)

pocketlint = $(call available,pocketlint,python-pocket-lint)

# XXX jtv 2014-02-25: Clean up this lint, then make it part of "make lint".
lint-css: sources = src/maasserver/static/css
lint-css:
	@find $(sources) -type f \
	    -print0 | xargs -r0 $(pocketlint) --max-length=120

# Python lint checks are time-intensive, but flake8 now knows how to run
# parallel jobs, and does so by default.
lint-py: sources = setup.py src
lint-py: bin/flake8
	@find $(sources) -name '*.py' \
	  ! -path '*/migrations/*' ! -path '*/south_migrations/*' -print0 \
	    | xargs -r0 bin/flake8 --config=.flake8

# Ignore tests when checking complexity. The maximum complexity ought to
# be close to 10 but MAAS has many functions that are over that so we
# start with a much higher number. Over time we can ratchet it down.
lint-py-complexity: maximum=26
lint-py-complexity: sources = setup.py src
lint-py-complexity: bin/flake8
	@find $(sources) -name '*.py' \
	  ! -path '*/migrations/*' ! -path '*/south_migrations/*' \
	  ! -path '*/tests/*' ! -path '*/testing/*' ! -name 'testing.py' \
	  -print0 | xargs -r0 bin/flake8 --config=.flake8 --max-complexity=$(maximum)

# Statically check imports against policy.
lint-py-imports: sources = setup.py src
lint-py-imports:
	@utilities/check-imports
	@find $(sources) -name '*.py' \
	  ! -path '*/migrations/*' ! -path '*/south_migrations/*' \
	  -print0 | xargs -r0 utilities/find-early-imports

lint-doc:
	@utilities/doc-lint

# JavaScript lint is checked in parallel for speed.  The -n20 -P4 setting
# worked well on a multicore SSD machine with the files cached, roughly
# doubling the speed, but it may need tuning for slower systems or cold caches.
lint-js: sources = src/maasserver/static/js
lint-js:
	@find $(sources) -type f -not -path '*/angular/3rdparty/*' -a \

=== requirements.txt ===
pyvmomi==6.0.0.2016.6
git+https://github.com/Supervisor/supervisor@master#egg=supervisor

## maas 2.4.0~beta2-6865-gec43e47e6

=== debian/changelog ===
maas (2.4.0~beta2-6865-gec43e47e6-0ubuntu1) bionic; urgency=medium

  * New upstream release. (LP: #1754697)

 -- Andres Rodriguez <andreserl@ubuntu.com>  Mon, 16 Apr 2018 09:12:38 -0400

maas (2.4.0~beta1-6799-g391e5f16d-0ubuntu1) bionic; urgency=medium

  * New upstream release. (LP: #1754697)
  * debian/*: Integrate maas-dns into maas-region-api; make maas-dns a
    transitional package

 -- Andres Rodriguez <andreserl@ubuntu.com>  Fri, 30 Mar 2018 15:32:38 -0400

maas (2.4.0~alpha2-6717-gffaddd526-0ubuntu1~18.04.1) bionic; urgency=medium

  * New upstream release. (LP: #1754697)
  * debian/*: Replace ntp in favor of chrony.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Fri, 09 Mar 2018 11:01:52 -0500

maas (2.4.0~alpha1-6573-g12ee2331b-0ubuntu1) bionic; urgency=medium

  * New upstream release
  * debian/*: Drop usage of apache2. It has long been used to maintain
    backwards compat for 1.x versions of MAAS, but starting from 2.4, it
    will no longer be supported.
  * debian/maas-{dhcp,proxy}.lintian-overrides: Add lintin overrides.
  * debian/control:
    - Bump Standards-Version.
    - Add depends on python3-uvloop, python3-macaroonbakery.
    - Drop depends on ubuntu-cloudimage-keyring in favor of ubuntu-keyring.
    - Drop depends on dh-systemd as it is now deprecated. Newer debhelper
      integrates it, as such, bump dep version.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Fri, 09 Feb 2018 18:50:10 -0500

maas (2.3.0-6434-gd354690-0ubuntu1) bionic; urgency=medium

  * New upstream release, MAAS 2.3.0:
    - Add support for CentOS & Windows networking.
    - Add support for Upstream Proxy.
    - Add the ability to deploy rack controllers.
    - Add the ability to report controller versions.
    - Add HTTP boot for ephemeral images, instead of 'tgt'.
    - Add django 1.11 support.
    - Introduce beaconing for better network discovery.
    - Improve hardware testing for better usage and feedback.
    - Improves performance by improving DNS reloading performance.
    - Machine, devices & controller page re-design.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Mon, 20 Nov 2017 14:08:22 -0500

maas (2.3.0~rc2-6412-g410b453-0ubuntu1) artful; urgency=medium

  * New upstream release, 2.3.0 rc2.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Thu, 09 Nov 2017 20:36:29 -0500

maas (2.3.0~rc1-6393-g8103f0a-0ubuntu1) artful; urgency=medium

  * New upstream release, 2.3.0 rc1.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Mon, 06 Nov 2017 13:23:31 -0500

maas (2.3.0~beta3-6368-g03ca7f4-0ubuntu1) artful; urgency=medium

  * New upstream release, 2.3.0 beta3.
  * debian/control: Add missing deps for python3-maas-client (LP: #1724181)

 -- Andres Rodriguez <andreserl@ubuntu.com>  Wed, 11 Oct 2017 16:42:41 -0400

=== debian/control ===
Source: maas
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 9.20160709),
               dh-apport,
               dh-exec,
               dh-python,
               po-debconf,
               python3-all,
               python3-django,
               python3-setuptools,
               python3-twisted
Standards-Version: 4.1.3
X-Python3-Version: >= 3.5
Homepage: http://maas.io/

Package: maas
Architecture: all
Depends: maas-rack-controller (= ${binary:Version}),
         maas-region-controller (= ${binary:Version}),
         python3-django-maas (= ${binary:Version}),
         ${misc:Depends}
Description: "Metal as a Service" is a physical cloud and IPAM
 MAAS runs a software-defined data centre - it turns a collection of physical
 servers and switches into a bare metal cloud with full open source IP address
 management (IPAM) and instant provisioning on demand.
 .
 MAAS controls the servers through IPMI or another BMC or  converged chassis
 controller such as Cisco UCS. It provides a full inventory  of components,
 and can install Ubuntu, CentOS or Windows very fast on any  server under
 its control. It can also track and provide DHCP and DNS for other devices
 on the network.
 .
 MAAS handles VLANs and fabrics that span many trunked switches, as well as
 the routing-centric infrastructure typically used for large-scale OpenStack
 or other scale-out deployments. MAAS manages IP addresses and provides APIs
 for address assignment and release. MAAS can also allocate IP addresses for
 containers on machines, and release them when the machine is repurposed. MAAS
 provides PXE, DHCP, DNS and other low-level  services to ensure the cluster
 works smoothly.
 .
 MAAS works with any configuration system, and is recommended by the teams
 behind both Chef and Juju as a physical provisioning system.
 .
 MAAS provides:
 .
  * Hardware inventory of servers
  * Dynamic provisioning based on name or attributes such as disk, RAM, cores,
    nics, networking, gpu’s or architecture
  * DNS and DHCP as needed
  * PXE boot services
 .
 This package is a metapackage which installs all of the separate components
 of MAAS on a single machine.

Package: maas-common
Architecture: all
Depends: rsyslog,
         ${misc:Depends},
         ${python3:Depends},
         python3-maas-provisioningserver
Breaks: maas ( <= 0.1+bzr1048+dfsg-0ubuntu1 )
Replaces: maas ( <= 0.1+bzr1048+dfsg-0ubuntu1 )
Description: MAAS server common files
 This package contains the common files for any MAAS installation.

Package: maas-region-api
Architecture: all
Depends: bind9 (>= 1:9.10.3.dfsg.P2-5~),
         bind9utils,
         iproute2,
         libjs-angularjs,
         maas-cli (=${binary:Version}),
         maas-common (= ${binary:Version}),
         maas-proxy (= ${binary:Version}),
         chrony,
         python3-bson,
         python3-django,
         python3-django-maas (= ${binary:Version}),
         python3-django-piston3 (>= 0.3~rc2),
         python3-djorm-ext-pgarray,
         python3-maas-provisioningserver (= ${binary:Version}),
         python3-macaroonbakery (>= 1.1.3),
         python3-petname,
         python3-requests,
         ubuntu-keyring,
         ${misc:Depends},
         ${python3:Depends}
Conflicts: dnsmasq, ntp
Breaks: maas-region-controller-min, maas-dns (<= 2.4.0~alpha2~)
Replaces: maas-region-controller-min, maas-dns (<= 2.4.0~alpha2~)
Provides: maas-region-controller-min
Description: Region controller API service for MAAS
 The MAAS region controller consists of REST API services and a postgres
 database. This package installs only the API services (maas-regiond).
 Use it to scale out the API front-end of your MAAS region controller.

Package: maas-region-controller
Architecture: all
Depends: avahi-utils,
         dbconfig-pgsql,
         iputils-ping,
         maas-region-api (= ${binary:Version}),
         postgresql (>= 9.1),
         tcpdump,
         ${misc:Depends},
Recommends: openssh-server
Suggests: nmap
Description: Region Controller for MAAS
 The MAAS region controller (maas-regiond) is the REST API server for
 all MAAS clients, and the postgres database that maintains machine
 state for the entire data centre (or “region”). The region controller 
 an be scaled-out and highly available given the appropriate postgres
 setup and additional API servers.
 .
 This package installs the postgres database and the API server, so it
 is appropriate for the initial installation of a new MAAS region. To
 scale out the controller or make it highly available, install
 maas-region-controller-api on additional servers and ensure the
 postgres database is HA too.

Package: python3-maas-provisioningserver
Section: python
Architecture: all
Depends: archdetect-deb,
         lshw,
         openssh-client,
         python3-attr,
         python3-bson,
         python3-crochet,
         python3-curtin (>> 0.1.0~bzr515),
         python3-distro-info,
         python3-formencode,
         python3-jsonschema,
         python3-lxml,
         python3-maas-client (= ${binary:Version}),
         python3-netifaces,
         python3-oauth,
         python3-oauthlib,
         python3-paramiko,
         python3-pexpect,
         python3-pyparsing,
         python3-pyvmomi,
         python3-seamicroclient,
         python3-simplejson,
         python3-simplestreams,
         python3-tempita,
         python3-twisted,
         python3-txtftp,
         python3-uvloop,
         python3-yaml,
         python3-zope.interface,
         isc-dhcp-client,
         iproute2,
         ${misc:Depends},
         ${python3:Depends}
Description: MAAS server provisioning libraries (Python 3)
 This package provides the MAAS provisioning server python libraries.
 .
 This package contains Python 3 libraries.

Package: maas-cli
Architecture: all
Depends: python3-maas-client (= ${binary:Version}),
         ${misc:Depends},
         ${python3:Depends}
Breaks: maas-region-controller-min (<= 1.5+bzr1909-0ubuntu1)
Replaces: maas-region-controller-min (<= 1.5+bzr1909-0ubuntu1)
Description: MAAS client and command-line interface
 This package contains the 'maas' command-line interface, which
 talks to the MAAS region controller REST API. Use the maas command
 to login to MAAS and drive the data centre entirely from the
 command-line.

Package: python3-maas-client
Section: python
Architecture: all
Depends: python3-httplib2,
         python3-netifaces,
         python3-oauth,
         python3-tempita,
         python3-yaml,
         ${misc:Depends},
         ${python3:Depends}
Breaks: python-maas-client, maas-cli ( <= 2.0.0~alpha4+bzr4843-0ubuntu1 )
Replaces: python-maas-client, maas-cli ( <= 2.0.0~alpha4+bzr4843-0ubuntu1 )
Conflicts: python3-googleapi
Description: MAAS python API client (Python 3)
 This package contains the MAAS client API Python modules.
 .
 This package contains Python 3 modules.

Package: maas-rack-controller
Architecture: all
Depends: authbind,
         avahi-utils,
         bind9utils,
         distro-info,
         freeipmi-tools,
         grub-common,
         iputils-ping,
         libvirt-clients,
         maas-cli (=${binary:Version}),
         maas-common (=${binary:Version}),
         maas-dhcp (=${binary:Version}),
         chrony,
         pxelinux | syslinux-common (<< 3:6.00~pre4+dfsg-5),
         python3-httplib2,
         python3-maas-provisioningserver (=${binary:Version}),
         python3-netaddr,
         python3-tempita,
         python3-twisted,
         python3-zope.interface,
         syslinux-common,
         tcpdump,
         uuid-runtime,
         wget,
         ${misc:Depends},
         ${python3:Depends}
Suggests: amtterm, ipmitool, nmap, wsmancli (>= 2.6.0-0ubuntu1)
Conflicts: tftpd-hpa, ntp
Breaks: python-maas-provisioningserver,
        maas-cluster-controller
Replaces: python-maas-provisioningserver,
          maas-cluster-controller
Description: Rack Controller for MAAS
 The MAAS rack controller (maas-rackd) provides highly available, fast
 and local broadcast services to the machines provisioned by MAAS. You
 need a MAAS rack controller attached to each fabric (which is a set of
 trunked switches). You can attach multiple rack controllers to these
 physical networks for high availability, with secondary rack controllers
 automatically stepping to provide these services if the primary rack
 controller fails.
 .
 A common configuration is to have a rack controller in each rack, with
 a fast primary network interface to the rack switch and secondary
 network interfaces on one or two other nearby racks for high
 availability redundancy.
 .
 This package depends on the necessary components to provide DHCP, TFTP
 and power management.

Package: python3-django-maas
Section: python
Architecture: all
Depends: python3-apt,
         python3-attr,
         python3-convoy,
         python3-crochet,
         python3-curtin (>> 0.1.0~bzr515),
         python3-lxml,
         python3-maas-client (= ${binary:Version}),
         python3-markupsafe,
         python3-netaddr,
         python3-psycopg2,
         python3-sphinx,
         python3-tempita,
         python3-twisted,
         python3-zope.interface,
         ${misc:Depends},
         ${python3:Depends}
Breaks: python-django-maas
Replaces: python-django-maas
Description: MAAS server Django web framework (Python 3)
 This package provides the Django web framework for MAAS.
 .
 This package contains Python 3 modules.

Package: maas-dhcp
Architecture: all
Depends: isc-dhcp-server (>= 4.3.3-5ubuntu10~), ${misc:Depends}
Description: MAAS DHCP server
 This package installs and configures a DHCP server that can be used by
 MAAS, and enhances the overall MAAS user experience.

Package: maas-dns
Architecture: all
Depends: maas-region-api (>= 2.4.0~beta1~)
Description: dummy transitional package for MAAS DNS server
 This package can be safely removed, as the configuration this package
 performed is now integrated in 'maas-region-api'.

Package: maas-proxy
Architecture: all
Depends: squid (>> 3.5), ${misc:Depends}
Conflicts: squid-deb-proxy
Description: MAAS Caching Proxy
 This package installs and configures a Caching Proxy server that can be
 used by MAAS. It enhances the overall MAAS user experience.

Package: maas-region-udeb
Package-Type: udeb
Section: debian-installer
Architecture: all
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
XB-Installer-Menu-Item: 2350
Description: Install a MAAS server (installer integration)

Package: maas-rack-udeb
Package-Type: udeb
Section: debian-installer
Architecture: all
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
XB-Installer-Menu-Item: 2350
Description: Install a MAAS Rack controller (installer integration)

=== debian/rules ===
#!/usr/bin/make -f

BUILDHOME = $(CURDIR)/debian/build
PYTHON3 = $(shell py3versions -d)

%:
	dh $@ --with python3,apport,systemd --buildsystem=pybuild

override_dh_auto_test:
	# do nothing as we don't want the tests to run because they require
	# internet access

override_dh_installinit:
	dh_installinit -p maas-region-api --name=maas-regiond --no-start
	dh_installinit -p maas-rack-controller --name=maas-rackd
	dh_installinit -p maas-proxy --name=maas-proxy
	dh_installinit -p maas-dhcp --name=maas-dhcpd
	dh_installinit -p maas-dhcp --name=maas-dhcpd6

override_dh_systemd_enable:
	dh_systemd_enable -p maas-region-api --name=maas-regiond
	dh_systemd_enable -p maas-rack-controller --name=maas-rackd
	dh_systemd_enable -p maas-proxy --name=maas-proxy
	dh_systemd_enable -p maas-dhcp --name=maas-dhcpd
	dh_systemd_enable -p maas-dhcp --name=maas-dhcpd6

override_dh_systemd_start:
	dh_systemd_start -p maas-region-api --no-start maas-regiond.service
	dh_systemd_start -p maas-rack-controller maas-rackd.service
	dh_systemd_start -p maas-proxy maas-proxy.service
	dh_systemd_start -p maas-dhcp maas-dhcpd.service
	dh_systemd_start -p maas-dhcp maas-dhcpd6.service

override_dh_auto_install:
	dh_auto_install

	# Move static files
	install -d -m 755  $(CURDIR)/debian/tmp/usr/share/maas/web/static
	mv $(CURDIR)/debian/tmp/usr/lib/$(PYTHON3)/*-packages/maasserver/static \
                $(CURDIR)/debian/tmp/usr/share/maas/web/

	# Remove scss directory from static files
	rm -rf $(CURDIR)/debian/tmp/usr/share/maas/web/scss

	# install the apparmor profile
	install -d -m 755 $(CURDIR)/debian/tmp/etc/apparmor.d/dhcpd.d
	install -m 644 $(CURDIR)/debian/maas-dhcp.apparmor \
	    $(CURDIR)/debian/tmp/etc/apparmor.d/dhcpd.d/maas

	dh_install --list-missing

override_dh_auto_clean:
	dh_auto_clean
	rm -rf $(BUILDHOME)
	rm -rf src/*.egg-info

## maas 2.4.2-7034-g2f5deb8b8

=== debian/changelog ===
maas (2.4.2-7034-g2f5deb8b8-0ubuntu1) bionic-proposed; urgency=medium

  * Stable Release Update. New upstream release, MAAS 2.4.2 (LP: #1788641)

 -- Andres Rodriguez <andreserl@ubuntu.com>  Thu, 23 Aug 2018 11:29:47 -0400

maas (2.4.0-6981-g011e51b7a-0ubuntu1~18.04.1) bionic-proposed; urgency=medium

  * Stable Release Update. New upstream release, MAAS 2.4.0 (LP: #1773201)
  * debian/control:
    - Add versioned depends to python3-django.
    - Add depends on python3-macaroonbakery for python3-maas-client.
    - Move depends on avahi-utils to maas-common from maas-region-controller. 

 -- Andres Rodriguez <andreserl@ubuntu.com>  Mon, 18 Jun 2018 09:11:11 -0500

=== debian/control ===
--- 
+++ 
@@ -56,7 +56,8 @@
 
 Package: maas-common
 Architecture: all
-Depends: rsyslog,
+Depends: avahi-utils,
+         rsyslog,
          ${misc:Depends},
          ${python3:Depends},
          python3-maas-provisioningserver
@@ -76,7 +77,7 @@
          maas-proxy (= ${binary:Version}),
          chrony,
          python3-bson,
-         python3-django,
+         python3-django (>= 1:1.10),
          python3-django-maas (= ${binary:Version}),
          python3-django-piston3 (>= 0.3~rc2),
          python3-djorm-ext-pgarray,
@@ -98,8 +99,7 @@
 
 Package: maas-region-controller
 Architecture: all
-Depends: avahi-utils,
-         dbconfig-pgsql,
+Depends: dbconfig-pgsql,
          iputils-ping,
          maas-region-api (= ${binary:Version}),
          postgresql (>= 9.1),
@@ -177,6 +177,7 @@
 Section: python
 Architecture: all
 Depends: python3-httplib2,
+         python3-macaroonbakery (>= 1.1.3),
          python3-netifaces,
          python3-oauth,
          python3-tempita,

=== debian/watch ===
version=3
opts=dversionmangle=s/\.dfsg// \
http://launchpad.net/maas/+download https://launchpad.net/maas/.*/maas-(.*).tar.*

## maas 2.5.0~beta2-7291

=== Makefile ===
--- 
+++ 
@@ -217,15 +217,6 @@
 	ln -sf ../node_modules/.bin/$(notdir $@) $@
 	@touch --no-create $@
 
-js-update-macaroonbakery:
-	mkdir -p src/masserver/static/js/macaroon
-	wget -O src/maasserver/static/js/macaroon/js-macaroon.js \
-		'https://raw.githubusercontent.com/juju/juju-gui/develop/jujugui/static/gui/src/app/assets/javascripts/js-macaroon.js'
-	wget -O src/maasserver/static/js/macaroon/bakery.js \
-		'https://raw.githubusercontent.com/juju/juju-gui/develop/jujugui/static/gui/src/app/jujulib/bakery.js'
-	wget -O src/maasserver/static/js/macaroon/web-handler.js \
-		'https://raw.githubusercontent.com/juju/juju-gui/develop/jujugui/static/gui/src/app/store/env/web-handler.js'
-
 define node_packages
   @babel/core
   @babel/preset-react
@@ -233,6 +224,7 @@
   @types/prop-types
   @types/react
   @types/react-dom
+  babel-polyfill
   babel-loader@^8.0.0-beta.0
   glob
   jasmine-core@=2.99.1
@@ -245,6 +237,7 @@
   karma-opera-launcher
   karma-phantomjs-launcher
   karma-sourcemap-loader
+  macaroon-bakery
   node-sass
   phantomjs-prebuilt
   prop-types
@@ -392,3 +385,18 @@
 lint-js: sources = src/maasserver/static/js
 lint-js:
 	@find $(sources) -type f -not -path '*/angular/3rdparty/*' -a \
+		-not -path '*-min.js' -a \
+	    '(' -name '*.html' -o -name '*.js' ')' -print0 \
+		| xargs -r0 -n20 -P4 $(pocketlint)
+
+# Apply automated formatting to all Python files.
+format: sources = $(wildcard *.py contrib/*.py) src utilities etc
+format:
+	@find $(sources) -name '*.py' -print0 | xargs -r0 utilities/format-imports
+	@find src/ -type f -exec file "{}" ";" | grep CRLF | cut -d ':' -f1 | xargs dos2unix
+
+check: clean test
+
+docs/api.rst: bin/maas-region src/maasserver/api/doc_handler.py syncdb
+	bin/maas-region generate_api_doc > $@
+

## maas 2.5.0~beta2-7291-gd0345ced5

=== debian/changelog ===
maas (2.5.0~beta2-7291-gd0345ced5-0ubuntu1) cosmic; urgency=medium

  * New upstream release. (LP: #1796937)
  * debian/maas-dhcp.maas-{dhcpd,dhcpd6}.service: Require dhcpd stop
    in 8 seconds, if not kill it with 'mixed' mode.
  * debian/control: Drop python3-jinja2 as it is no longer needed to
    generate documentation.
  * debian/maas-common.prerm: Add & handle stop of maas-syslog.service.
  * debian/maas-common.postrm:
    - Run debhelper handling before manual removal actions.
    - Purge maas-syslog related files.
  * debian/maas-rack-controller.prerm: Add & handle stop of
    maas-rackd.service.
  * debian/maas-rack-controller.postrm: Purge http and rpc.state files.
  * debian/maas-region-api.postrm: Purge maas-regiond socket file.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Tue, 02 Oct 2018 22:55:12 -0400

maas (2.5.0~beta1-7225-g817fb216d-0ubuntu1) cosmic; urgency=medium

  * New upstream release (LP: #1792389)
  * debian/control: Depend on python3-jinja2
  * MAAS now manages its own rsyslog daemon:
    - d/maas-common.maas-syslog.service: Add service.
    - d/extras/99-maas-common-sudoers: start/stop/status for maas-rsyslog.
    - d/rules: Handle installation of maas-rsyslog.
    - d/extras/20-maas.conf: Drop as MAAS now generates its own config.
    - d/maas-region-api.install: Drop install of 20-maas.conf.
    - d/maas-region-api.postinst: Drop restart of rsyslog.
    - d/maas-common.install: Drop install of maas-rsyslog.conf.
    - d/maas-common.{preinst,postinst}: Handle upgrades.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Mon, 17 Sep 2018 05:30:25 -0400

maas (2.5.0~alpha2-7175-gab01a63f2-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * Don't autostart maas-rackd on install to avoid initialization errors.
    - debian/rules: add --no-start for maas-rackd.
    - debian/maas-rack-controller.postinst: enable/start maas-rackd.
  * Make package more lintian clean:
    - debian/*.postinst: Remove of use of systemctl for deb-system-*
    - debian/*.lintin-overrides: Add overrides for a few warnings.
  * debian/rules: Do not override dh_installinit as we are using systemd.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Thu, 23 Aug 2018 08:04:57 -0400

maas (2.5.0~alpha1-7104-g18ae9e407-0ubuntu1) bionic; urgency=medium

  * New upstream release.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Mon, 16 Jul 2018 14:30:06 -0400

maas (2.4.0~rc2-6980-gc5ebdd7b1-0ubuntu1) bionic; urgency=medium

  * New upstream release.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Fri, 18 May 2018 17:48:22 -0400

maas (2.4.0~rc1-6959-gd7a158fc3-0ubuntu1) bionic; urgency=medium

  * New upstream release.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Fri, 11 May 2018 14:34:52 -0400

maas (2.4.0~beta3-6929-g62682abf5-0ubuntu1) bionic; urgency=medium

  * New upstream release.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Thu, 03 May 2018 03:31:14 -0400

=== debian/rules ===
--- 
+++ 
@@ -10,23 +10,20 @@
 	# do nothing as we don't want the tests to run because they require
 	# internet access
 
-override_dh_installinit:
-	dh_installinit -p maas-region-api --name=maas-regiond --no-start
-	dh_installinit -p maas-rack-controller --name=maas-rackd
-	dh_installinit -p maas-proxy --name=maas-proxy
-	dh_installinit -p maas-dhcp --name=maas-dhcpd
-	dh_installinit -p maas-dhcp --name=maas-dhcpd6
-
 override_dh_systemd_enable:
+	dh_systemd_enable -p maas-common --name=maas-syslog
 	dh_systemd_enable -p maas-region-api --name=maas-regiond
 	dh_systemd_enable -p maas-rack-controller --name=maas-rackd
+	dh_systemd_enable -p maas-rack-controller --name=maas-http
 	dh_systemd_enable -p maas-proxy --name=maas-proxy
 	dh_systemd_enable -p maas-dhcp --name=maas-dhcpd
 	dh_systemd_enable -p maas-dhcp --name=maas-dhcpd6
 
 override_dh_systemd_start:
+	dh_systemd_start -p maas-common --no-start maas-syslog.service
 	dh_systemd_start -p maas-region-api --no-start maas-regiond.service
-	dh_systemd_start -p maas-rack-controller maas-rackd.service
+	dh_systemd_start -p maas-rack-controller --no-start maas-rackd.service
+	dh_systemd_start -p maas-rack-controller maas-http.service
 	dh_systemd_start -p maas-proxy maas-proxy.service
 	dh_systemd_start -p maas-dhcp maas-dhcpd.service
 	dh_systemd_start -p maas-dhcp maas-dhcpd6.service

## maas 2.5.0-7442

=== requirements.txt ===
pyvmomi==6.0.0.2016.6
git+https://github.com/Supervisor/supervisor@master#egg=supervisor
# XXX this is currently needed for RBAC, should be dropped (and
# python3-macaroonbakery added back to snapcraft.yaml) once it's updated in
# bionic
macaroonbakery==1.2.0

## maas 2.5.0-7442-gdf68e30a5

=== debian/changelog ===
maas (2.5.0-7442-gdf68e30a5-0ubuntu1) disco; urgency=medium

  * New upstream release. MAAS 2.5.0 introduces:
    - Proxy MAAS communication through the rack controller.
    - HA - Rack to region communication no longer needs VIPs.
    - KVM (pod) - Support for networking.
    - KVM (pod) - Re-designed WebUI.
    - CentOS storage support.
    - ESXi deployment support.
    - Machine listing - Re-designed UI.
    - Enlistment - now runs commissioning scripts.
    - Add machines by only specifying IPMI credentials.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Tue, 11 Dec 2018 15:15:30 -0500

maas (2.5.0~rc2-7433-gea48d302e-0ubuntu1~18.10.1) cosmic; urgency=medium

  * New upstream release.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Fri, 30 Nov 2018 14:00:22 -0500

maas (2.5.0~rc1-7419-ge0d239532-0ubuntu1~18.10.1) cosmic; urgency=medium

  * New upstream bugfix release.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Wed, 21 Nov 2018 12:02:18 -0500

maas (2.5.0~beta4-7361-g401d6c73d-0ubuntu1~18.10.1) cosmic; urgency=medium

  * New upstream bugfix release.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Fri, 26 Oct 2018 14:22:03 -0600

maas (2.5.0~beta3-7325-g1425f6d4c-0ubuntu1~18.10.1) cosmic; urgency=medium

  * New upstream bugfix release.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Mon, 15 Oct 2018 09:33:40 -0400

=== debian/control ===
--- 
+++ 
@@ -110,7 +110,7 @@
 Description: Region Controller for MAAS
  The MAAS region controller (maas-regiond) is the REST API server for
  all MAAS clients, and the postgres database that maintains machine
- state for the entire data centre (or “region”). The region controller 
+ state for the entire data centre (or “region”). The region controller
  an be scaled-out and highly available given the appropriate postgres
  setup and additional API servers.
  .
@@ -194,8 +194,8 @@
 
 Package: maas-rack-controller
 Architecture: all
-Depends: authbind,
-         avahi-utils,
+Depends: avahi-utils,
+         bind9 (>= 1:9.10.3.dfsg.P2-5~),
          bind9utils,
          distro-info,
          freeipmi-tools,
@@ -205,6 +205,8 @@
          maas-cli (=${binary:Version}),
          maas-common (=${binary:Version}),
          maas-dhcp (=${binary:Version}),
+         maas-proxy (= ${binary:Version}),
+         nginx-core,
          chrony,
          pxelinux | syslinux-common (<< 3:6.00~pre4+dfsg-5),
          python3-httplib2,
@@ -277,7 +279,7 @@
 
 Package: maas-dns
 Architecture: all
-Depends: maas-region-api (>= 2.4.0~beta1~)
+Depends: maas-region-api (>= 2.4.0~beta1~), ${misc:Depends}
 Description: dummy transitional package for MAAS DNS server
  This package can be safely removed, as the configuration this package
  performed is now integrated in 'maas-region-api'.

=== debian/rules ===
--- 
+++ 
@@ -21,7 +21,7 @@
 
 override_dh_systemd_start:
 	dh_systemd_start -p maas-common --no-start maas-syslog.service
-	dh_systemd_start -p maas-region-api --no-start maas-regiond.service
+	dh_systemd_start -p maas-region-api --no-start --restart-after-upgrade maas-regiond.service
 	dh_systemd_start -p maas-rack-controller --no-start maas-rackd.service
 	dh_systemd_start -p maas-rack-controller maas-http.service
 	dh_systemd_start -p maas-proxy maas-proxy.service

## maas 2.6.0-7802

=== Makefile ===
--- 
+++ 
@@ -88,6 +88,7 @@
 	        $(addprefix required-packages/,base build dev doc) | sed '/^\#/d')
 	sudo DEBIAN_FRONTEND=noninteractive apt-get -y \
 	    purge $(shell sort -u required-packages/forbidden | sed '/^\#/d')
+	if [ -x /usr/bin/snap ]; then sudo snap install --classic snapcraft; fi
 
 .gitignore:
 	sed 's:^[.]/:/:' $^ > $@
@@ -150,10 +151,10 @@
 	$(buildout) install e2e-test
 	@touch --no-create $@
 
-# bin/maas-region is needed for South migration tests. bin/flake8 is needed for
-# checking lint and bin/node-sass is needed for checking css.
+# bin/flake8 is needed for checking lint and bin/node-sass is needed for
+# checking css.
 bin/test.testing: \
-  bin/maas-region bin/flake8 bin/node-sass bin/buildout \
+  bin/flake8 bin/node-sass bin/buildout \
   buildout.cfg versions.cfg setup.py
 	$(buildout) install testing-test
 	@touch --no-create $@
@@ -186,7 +187,7 @@
 
 include/nodejs/bin/node:
 	mkdir -p include/nodejs
-	wget -O include/nodejs/nodejs.tar.gz https://nodejs.org/dist/v8.9.3/node-v8.9.3-linux-x64.tar.gz
+	wget -O include/nodejs/nodejs.tar.gz https://nodejs.org/dist/v8.10.0/node-v8.10.0-linux-x64.tar.gz
 	tar -C include/nodejs/ -xf include/nodejs/nodejs.tar.gz --strip-components=1
 
 include/nodejs/yarn.tar.gz:
@@ -293,7 +294,12 @@
 clean-failed:
 	$(RM) .noseids
 
-src/maasserver/testing/initial.maas_test.sql: bin/database syncdb
+src/maasserver/testing/initial.maas_test.sql: bin/maas-region bin/database
+  # Run migrations without any triggers created.
+	$(dbrun) bin/maas-region dbupgrade --internal-no-triggers
+	# Data migration will create a notification, that will break tests. Want the
+	# database to be a clean schema.
+	$(dbrun) bin/maas-region shell -c "from maasserver.models.notification import Notification; Notification.objects.all().delete()"
 	bin/database --preserve run -- \
 	    pg_dump maas --no-owner --no-privileges \
 	        --format=plain > $@
@@ -354,8 +360,7 @@
 lint-py: sources = setup.py src
 lint-py: bin/flake8
 	@find $(sources) -name '*.py' \
-	  ! -path '*/migrations/*' ! -path '*/south_migrations/*' -print0 \
-	    | xargs -r0 bin/flake8 --config=.flake8
+	  ! -path '*/migrations/*' -print0 | xargs -r0 bin/flake8 --config=.flake8
 
 # Ignore tests when checking complexity. The maximum complexity ought to
 # be close to 10 but MAAS has many functions that are over that so we
@@ -364,7 +369,7 @@
 lint-py-complexity: sources = setup.py src
 lint-py-complexity: bin/flake8
 	@find $(sources) -name '*.py' \
-	  ! -path '*/migrations/*' ! -path '*/south_migrations/*' \
+	  ! -path '*/migrations/*' \
 	  ! -path '*/tests/*' ! -path '*/testing/*' ! -name 'testing.py' \
 	  -print0 | xargs -r0 bin/flake8 --config=.flake8 --max-complexity=$(maximum)
 
@@ -373,7 +378,7 @@
 lint-py-imports:
 	@utilities/check-imports
 	@find $(sources) -name '*.py' \
-	  ! -path '*/migrations/*' ! -path '*/south_migrations/*' \
+	  ! -path '*/migrations/*' \
 	  -print0 | xargs -r0 utilities/find-early-imports
 
 lint-doc:
@@ -388,15 +393,8 @@
 		-not -path '*-min.js' -a \
 	    '(' -name '*.html' -o -name '*.js' ')' -print0 \
 		| xargs -r0 -n20 -P4 $(pocketlint)
-
-# Apply automated formatting to all Python files.
+		bin/yarn prettier-check
+
+# Apply automated formatting to all Python, Sass and Javascript files.
 format: sources = $(wildcard *.py contrib/*.py) src utilities etc
-format:
-	@find $(sources) -name '*.py' -print0 | xargs -r0 utilities/format-imports
-	@find src/ -type f -exec file "{}" ";" | grep CRLF | cut -d ':' -f1 | xargs dos2unix
-
-check: clean test
-
-docs/api.rst: bin/maas-region src/maasserver/api/doc_handler.py syncdb
-	bin/maas-region generate_api_doc > $@
-
+format: bin/yarn

=== snap-data/pypi/requirements.txt ===
pyvmomi==6.0.0.2016.6
git+https://github.com/Supervisor/supervisor@master#egg=supervisor

# XXX CFFI is needed by PyNaCl which is a macaroonbakery dependency. We force the
# same version as currently in Bionic to avoid conflics. This should be dropped
# once we use macaroonbakery from the archive again
cffi==1.11.5
# XXX this is currently needed for RBAC, should be dropped (and
# python3-macaroonbakery added back to snapcraft.yaml) once it's updated in
# bionic
macaroonbakery==1.2.0
# XXX this is currently needed to make multiprocess collector setup work
# correctly
prometheus_client==0.6.0

## maas 2.6.0-7802-g59416a869

=== debian/changelog ===
maas (2.6.0-7802-g59416a869-0ubuntu1) eoan; urgency=medium

  * New upstream release, MAAS 2.6.0.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Tue, 11 Jun 2019 13:57:36 -0400

maas (2.6.0~rc2-7802-g59416a869-0ubuntu1) eoan; urgency=medium

  * New upstream release, MAAS 2.6.0 RC 2.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Mon, 03 Jun 2019 10:08:01 -0400

maas (2.6.0~rc1-7799-g70b0fe161-0ubuntu1) eoan; urgency=medium

  * New upstream release, MAAS 2.6.0 RC 1.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Thu, 30 May 2019 08:45:21 -0400

maas (2.6.0~beta4-7743-g27b04aaf3-0ubuntu1) eoan; urgency=medium

  * New upstream release, MAAS 2.6.0 beta 4.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Fri, 10 May 2019 16:50:45 -0400

maas (2.6.0~beta3-7711-gb79157e92-0ubuntu1) eoan; urgency=medium

  * New upstream release, MAAS 2.6.0 beta 3.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Fri, 03 May 2019 17:37:32 -0400

maas (2.6.0~beta2-7695-g691e14ea3-0ubuntu1) disco; urgency=medium

  * New upstream release, MAAS 2.6.0 beta 2.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Sat, 27 Apr 2019 16:45:32 -0400

maas (2.6.0~beta1-7673-g850a92f90-0ubuntu1) disco; urgency=medium

  * New upstream release, MAAS 2.6.0 beta 1.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Wed, 17 Apr 2019 16:24:55 -0400

maas (2.6.0~alpha2-7640-g9c8072b21-0ubuntu1~19.04.1) disco; urgency=medium

  * New upstream release, MAAS 2.6.0 alpha 2

 -- Andres Rodriguez <andreserl@ubuntu.com>  Thu, 28 Mar 2019 10:41:15 -0400

maas (2.6.0~alpha1-7593-gcca18b743-0ubuntu1~18.10.1) cosmic; urgency=medium

  * New upstream release, MAAS 2.6.0 alpha 1

 -- Andres Rodriguez <andreserl@ubuntu.com>  Tue, 12 Mar 2019 21:42:01 -0400

maas (2.5.0-7442-gdf68e30a5-0ubuntu1) cosmic; urgency=medium

  * New upstream release. MAAS 2.5.0 introduces:
    - Proxy MAAS communication through the rack controller.
    - HA - Rack to region communication no longer needs VIPs.
    - KVM (pod) - Support for networking.
    - KVM (pod) - Re-designed WebUI.
    - CentOS storage support.
    - ESXi deployment support.
    - Machine listing - Re-designed UI.
    - Enlistment - now runs commissioning scripts.
    - Add machines by only specifying IPMI credentials.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Tue, 11 Dec 2018 15:15:30 -0500
